#pragma once

#include "maps/wikimap/mapspro/services/editor/src/common.h"

namespace maps {
namespace wiki {

class ObjectsCache;


class ObjectsDeleter
{
public:
    explicit ObjectsDeleter(ObjectsCache& cache);
    ~ObjectsDeleter();

    bool changeState(TUid uid, const TOIds& objectIds);

private:
    class Impl;
    std::unique_ptr<Impl> impl_;
};

} // namespace wiki
} // namespace maps
